#
# spec file for package brp-check-suse (Version 1.0)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           brp-check-suse
License:        Artistic License .. ; GPLv2+
Group:          Development/Tools/Building
AutoReqProv:    on
Summary:        build root policy check scripts
Version:        1.0
Release:        31.1
Source0:        %{name}-%{version}.tar.bz2
Patch0:         brp-check-suse-fix_mail.patch
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%global provfind sh -c "grep -v 'brp-desktop.data' | %__find_provides"
%global __find_provides %provfind

%description
build root policy check scripts



%prep
%setup -q
%patch0

%build
# nothing to do

%install
install -d $RPM_BUILD_ROOT/usr/lib/rpm
install -d $RPM_BUILD_ROOT/etc/rpm
cp -a brp-* $RPM_BUILD_ROOT/usr/lib/rpm
cp -a macros.* $RPM_BUILD_ROOT/etc/rpm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc COPYING
/etc/rpm/*
/usr/lib/rpm/*

%changelog
* Tue Apr 13 2010 ro@suse.de
- update contained perl-XML-NamespaceSupport from 1.08 to 1.11
- update contained perl-XML-SAX from 0.12 to 0.96
* Mon Feb 15 2010 ro@suse.de
- block provides for private perl modules
* Thu Feb 11 2010 ro@suse.de
- replace mail address by http url in xdg_data check (bnc#510720)
* Fri Sep 18 2009 ro@suse.de
- brp-desktop: debugging showed the problem:
  "/usr/bin/find: Argument list too long"
  split the command to look below RPM_BUILD_ROOT first and
  search based from / only if the first one did not find anything
  this should even speed things up a bit
* Thu Sep 17 2009 ro@suse.de
- brp-desktop: print icon file for debugging
- debug output from find in failure case
* Fri Feb 27 2009 ro@suse.de
- brp-desktop: relax icon check: allow more directories
  (bnc#423717)
* Wed Jan 14 2009 coolo@suse.de
- brp-desktop: do not check for SuSE-translate anymore and leave that
  to rpmlint
* Wed Jan  7 2009 jblunck@suse.de
- brp-strip-debug: Fix "find: paths must precede expression" errors
* Tue Dec 16 2008 lnussel@suse.de
- remove dbus script, replaced by rpmlint check
* Thu Dec  4 2008 thomas@suse.de
- updated dbus whitelist for package sugar
* Thu Nov 20 2008 thomas@suse.de
- added cnetworkmanager.conf to dbus autostart and system service
  whitelist (bnc#446997)
- changed wording of messages in dbus-autostart script
* Tue Nov 11 2008 thomas@suse.de
- adjusted dbus whitelist for backup-manager dbus services
* Thu Oct 16 2008 thomas@suse.de
- added script to detect yet unknown dbus autostart system-service
  files, the set of known files can be updated using a whitelist
  (generated for all archs of 11.0)
* Wed Oct 15 2008 ro@suse.de
- Add more legal Categories to desktop-data-openSUSE and brp-check
  (bnc#430979)
* Wed Oct  8 2008 meissner@suse.de
- ntpdate is no longer a binary, but a shellscript
* Mon Oct  6 2008 jblunck@suse.de
- brp-strip-debug: don't strip debuginfo from static libraries, but
  compiler-generated local symbols
* Wed Sep 24 2008 adrian@suse.de
- adapt email address to new maintainer of desktop checks;)
* Thu Sep  4 2008 ro@suse.de
- rename to brp-check-suse
* Sun Aug 17 2008 ro@suse.de
- downgrade missing Required-Stop to warning
* Thu Aug 14 2008 ro@suse.de
- tweak brp-boot-scripts some more:
  - prefix every line with W: or E: accordingly
  - missing Should-Stop is a warning
  - present but empty FOO-Stop is an error if the matching
    FOO-Start is non-empty
* Wed Aug 13 2008 ro@suse.de
- applied fastjar patch to bytecode-check script
  (allow use of jar and fastjar additional to unzip)
* Mon Aug 11 2008 werner@suse.de
- Add brp-boot-scripts for checking init and boot scripts
* Fri Aug  1 2008 ro@suse.de
- removed syslog-ng from pie list (approved by meissner)
* Mon May 19 2008 ro@suse.de
- add X-SuSE-YaST to exclude list in System/More Programs
  as explained in bugzilla (bnc#382778)
* Wed Feb 13 2008 ro@suse.de
- updated brp-pie from bk: fix function for symlinks
* Fri Feb  8 2008 dmueller@suse.de
- remove references to previously removed checks (d'oh)
* Thu Feb  7 2008 dmueller@suse.de
- remove checks that are done by rpmlint already (bnc#356670)
* Thu Jan 31 2008 ro@suse.de
- remove brp-symlink, already in rpm.rpm
* Mon Jan 28 2008 ro@suse.de
- fix brp-check-bytecode for unzip case
* Mon Jan 28 2008 ro@suse.de
- brp-check-bytecode:
  - allow java-1.5 (file output: version 49.0)
  - try to use "jar" if "unzip" is not available
* Mon Dec 17 2007 ro@suse.de
- created package, version 1.0
